Subject: Re: #39595: M-x compile still very line-length weak
From: Mattias Engdegård <[email-masked]>
To: 積丹尼 Dan Jacobson <[email-masked]>
Cc: [email-masked], Eli Zaretskii <[email-masked]>, Stefan Monnier <[email-masked]>, Paul Pogonyshev <[email-masked]>
Date: Mon, 17 Feb 2020 12:07:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

16 feb. 2020 kl. 16.37 skrev 積丹尼 Dan Jacobson <[email-masked]>:

> I bet it does!
> (All I know is I just use Debian sid. So in two years...)

Very well, pushed to emacs-27.

For future work, there seem to be more opportunities for speeding up the remaining regexps. In particular:

* Try to anchor matches at bol when possible.
* Avoid infinite repetitions (of spaces, etc) when the exact amount is known.
* Reject impossible matches as early as possible.